Subject: Re: bug#35507: Gnus mojibakifies UTF-8 text/x-patch attachments from Thunderbird

From: Noam Postavsky <[email-masked]>
Date: Wed, 01 May 2019 23:07:32 -0400

Eli Zaretskii <[email-masked]> writes:

>> From: Andy Moreton <[email-masked]>
>> Date: Wed, 01 May 2019 17:42:18 +0100
>> 
>> +		     (mm-decode-string text 'utf-8))))
>
> As I said, I'm not sure we should do this, let alone unconditionally
> force UTF-8 here, but if we must, why not use decode-coding-string?
> Do we really need the mm-* stuff?

As far as I can tell, the mm-* version is useful for handling stuff lke
"UTF-8" as the charset argument (which might be useful if we extract it
from the "Content-Type: text/plain; charset=UTF-8" header).  If passing
'utf-8, then it's just the same as calling decode-coding-string.

For a default if we don't find a charset header, I guess `undecided'
would make more sense, right?  After all, Emacs already has the coding
detection machinery, may as well use it.